<?php
/*
 *Functions for Now Or Never Wiz plugin
 */ 

// Enqueue scripts to post screen for product options
add_action( 'admin_enqueue_scripts', 'tbp_products_mbe_admin_scripts', 10, 1 );
function tbp_products_mbe_admin_scripts( $hook ) {
	$screen = get_current_screen();
	
	// Check screen hook
	if( 'post.php' == $hook || 'post-new.php' == $hook ) {
	
	define(THEME_DIR, get_bloginfo('stylesheet_directory') ); 
	wp_enqueue_script( 'tbp_products_mbe',
		THEME_DIR.'/tbp_products_mbe.js',
		array('jquery', 'media-upload', 'thickbox' )
	);
	}
}

/*
 * Add buttons to visual editor
 */
function spp_expcon_tmcebuttons() {
	// Don't bother if current user doesn't have permissions
	if ( ! current_user_can('edit_posts') && ! current_user_can('edit_pages') )
     return;
	
	// Add only in rich editor mode
	if( get_user_option( 'rich_editing' ) == 'true' ) {
		add_filter('mce_external_plugins', 'spp_expcon_buttons_mce_plugin');
		add_filter( 'mce_buttons', 'spp_expcon_add_tmce_buttons' );
	}
}

function spp_expcon_add_tmce_buttons( $buttons ) {
    array_push( $buttons, 'sppexpcon_buttons' );
    return $buttons;
}

// Init process for button control
add_action( 'init', 'spp_expcon_tmcebuttons' );
	
/*
 * Bring in button
 */
 function spp_expcon_buttons_mce_plugin( $plugins ) {
		// this plugin file will work the magic of our button
		$plugins['sppexpconbuttons'] = SPP_EXPCON_DIR . 'js/spp-expcont-buttons.js';
		return $plugins;
	}
	
// Function to validate dates to mm/dd/yyyy
function spp_expcon_validate_date( $date ) {
	// Test pattern matching
	if( !preg_match( '!\d{2}/\d{2}/\d{4}!', $date ) )
		return 'Date is not formatted properly';
	
	// Test if date is valid
	$timestamp = strtotime( $date );
	if( !$timestamp )
		return 'Date is not valid';
	
	// Ok, all good
	return $date;
}

// Shortcode to display content to change
add_shortcode( 'expcontent', 'spp_expcon_display' );
function spp_expcon_display( $atts, $content = null ) {
	extract( shortcode_atts( array(
		'display' => '',
		'date' => ''
	), $atts ) );
	$expire = strtotime( $date );
	$today = strtotime( date('m/d/Y') );
	
	if( $display == 'before' && $today <= $expire ) {
		return $content;
	}
	if( $display == 'after' && $today > $expire ) {
		return $content;
	}
}
?>